  package com.awspaas.user.apps.donenow_ivt.event;
  
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.actionsoft.bpms.commons.mvc.view.ResponseObject;
import org.apache.commons.lang3.StringUtils;

import com.actionsoft.bpms.bo.engine.BO;
import com.actionsoft.bpms.bpmn.engine.core.delegate.ProcessExecutionContext;
import com.actionsoft.bpms.bpmn.engine.listener.ExecuteListener;
import com.actionsoft.bpms.bpmn.engine.model.run.delegate.ProcessInstance;
import com.actionsoft.bpms.commons.database.RowMap;
import com.actionsoft.bpms.server.UserContext;
import com.actionsoft.bpms.util.DBSql;
import com.actionsoft.sdk.local.SDK;
import com.awspaas.user.apps.donenow_ivt.constant.IVTConstant;
import com.awspaas.user.apps.donenow_ivt.utils.BigDecimalUtil;
  
  
  public class FormAfterSaveEvent extends ExecuteListener
  {
    public String getDescription() {
    return "表单保存后事件";
    }
    
    public String getProvider() {
     return "上海声联";
    }
    
    public String getVersion() {
    return "1.0";
    }
  
    
    public void execute(ProcessExecutionContext process) throws Exception {
    	
    	//开启多线程，防止数据过多导致保存时间太长
    	DoWorkThread thread=new DoWorkThread(process);
    	thread.start();
    }


    
  }
